> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bulk Settlements

> Records off-platform token settlements for vestings by sequence, creating settlement and token-settlement rows.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-bulk-settlements
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-bulk-settlements:
    post:
      operationId: createBulkSettlements
      summary: Create Bulk Settlements
      description: >-
        Records off-platform token settlements for vestings by sequence,
        creating settlement and token-settlement rows.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBulkSettlementsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateBulkSettlementsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateBulkSettlementsRequest:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
            format: uuid
          vestingSequenceNumber:
            type: integer
            minimum: 1
          transactionHash:
            type: string
          transactionLink:
            type: string
            format: uri
          settlementDate:
            type: string
            format: date-time
        required:
          - grantID
          - vestingSequenceNumber
          - transactionHash
          - transactionLink
          - settlementDate
    CreateBulkSettlementsResponse:
      type: object
      properties:
        isTotalSuccess:
          type: boolean
        results:
          type: array
          items:
            type: object
            properties:
              success:
                type: boolean
              grantID:
                type: string
              vestingSequenceNumber:
                type:
                  - integer
                  - 'null'
              messages:
                type: array
                items:
                  type: string
            required:
              - success
              - grantID
              - vestingSequenceNumber
              - messages
      required:
        - isTotalSuccess
        - results
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
